import Vue from "vue";
import Vuex from "vuex";

Vue.use(Vuex);

export default new Vuex.Store({
  state: {
    cartNum: 0, //购物车数量
    navBarIndex: 0, //默认菜单高亮
  },
  getters: {
    cartNum(state) {
      return state.cartNum;
    },
    navBarIndex(state) {
      return state.navBarIndex;
    },
  },
  mutations: {
    CART_NUM: (state, cartNum) => {
      state.cartNum = cartNum;
    },
    NAV_BAR_INDEX: (state, navBarIndex) => {
      state.navBarIndex = navBarIndex;
    },
  },
  actions: {},
  modules: {},
});
